API ReferenceRewards
Cancel a reward
Cancels an unredeemed reward and returns the remaining value to your wallet.
Authorization
apiKey AuthorizationBearer <token>
In: header
Path Parameters
id*string
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/rewards/string/cancel"{ "reward": { "id": "string", "type": "FIXED", "status": "string", "faceValueCents": 0, "remainingValueCents": 0, "currency": "string", "recipientEmail": "string", "recipientFirstName": "string", "recipientLastName": "string", "message": "string", "utid": "string", "allowedBrandKeys": [ "string" ], "campaign": "string", "externalId": "string", "source": "string", "expiresAt": "string", "sentAt": "string", "openedAt": "string", "redeemedAt": "string", "createdAt": "string", "brandName": "string", "brandImageUrl": "string", "issuedCards": [ { "id": "string", "utid": "string", "rewardName": "string", "amountCents": 0, "currency": "string", "status": "string", "redemptionInstructions": "string", "issuedAt": "string", "createdAt": "string", "brandName": "string", "brandImageUrl": "string", "credentials": [ { "label": "string", "value": "string", "type": "string" } ] } ], "events": [ { "id": "string", "type": "string", "metadata": { "property1": null, "property2": null }, "createdAt": "string" } ] }}